---
  # Role initialization is delegated to a dedicated subrole
- name: Initialize role
  tags: ['always', 'step::init']
  include_role:
    public: yes
    allow_duplicates: false
    name: sys/net/interfaces.init

- name: Update freebsd_rc configuration
  tags: ['step::main', 'task::freebsd_rc']
  when: role__sys_net_interfaces__framework == 'freebsd_rc'
  import_tasks: freebsd_rc.yml

- name: Update ifupdown configuration
  tags: ['step::main', 'task::ifupdown']
  when: role__sys_net_interfaces__framework == 'ifupdown'
  import_tasks: ifupdown.yml
